import request from '@/utils/request'

// 查询设备运行时长统计列表
export function listStats(query) {
  return request({
    url: '/device/stats/list',
    method: 'get',
    params: query
  })
}

// 查询设备运行时长统计详细
export function getStats(id) {
  return request({
    url: '/device/stats/' + id,
    method: 'get'
  })
}

// 新增设备运行时长统计
export function addStats(data) {
  return request({
    url: '/device/stats',
    method: 'post',
    data: data
  })
}

// 修改设备运行时长统计
export function updateStats(data) {
  return request({
    url: '/device/stats',
    method: 'put',
    data: data
  })
}

// 删除设备运行时长统计
export function delStats(id) {
  return request({
    url: '/device/stats/' + id,
    method: 'delete'
  })
}
